import request from '@/router/request'

//  根据id获取用户家庭成员数据
export function getUserInfoByUserId (params) {
  return request({
    url: '/basic/userrelation/list/' + params,
    method: 'GET'
  })
}

//  根据id获取用户家庭成员数据（家庭成员页调用）
export function getMemberByMainId (params) {
  return request({
    url: '/basic/user/relation/' + params,
    method: 'GET'
  })
}

//  根据id获取该用户信息
export function getUserInfoById (params) {
  return request({
    url: '/basic/user/' + params,
    method: 'GET'
  })
}

//  保存家庭成员
export function saveMember (params) {
  return request({
    url: '/basic/user/verified',
    method: 'POST',
    data: params
  })
}

//  删除家庭成员
export function deleteMemberById (params) {
  return request({
    url: '/basic/user/family',
    method: 'DELETE',
    params: params
  })
}

//  验证用户是否已实名认证
export function userRealStateById (params) {
  return request({
    url: '/basic/user/real/' + params,
    method: 'GET'
  })
}
