// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import './permission' // 权限
import router from './router/index'
import store from './store'
import {
  Button,
  Cell,
  Field,
  Navbar,
  TabItem,
  Header,
  Popup,
  Picker,
  Spinner,
  Toast,
  MessageBox,
  TabContainer,
  TabContainerItem,
  DatetimePicker,
  Indicator,
  Actionsheet,
  Radio,
  Checklist,
  InfiniteScroll
} from 'mint-ui'
import 'mint-ui/lib/style.css'
import vueSignature from 'vue-signature'

Vue.component(TabContainer.name, TabContainer)
Vue.component(TabContainerItem.name, TabContainerItem)
Vue.component(Button.name, Button)
Vue.component(Cell.name, Cell)
Vue.component(Field.name, Field)
Vue.component(Navbar.name, Navbar)
Vue.component(TabItem.name, TabItem)
Vue.component(Header.name, Header)
Vue.component(Popup.name, Popup)
Vue.component(Picker.name, Picker)
Vue.component(Spinner.name, Spinner)
Vue.component(DatetimePicker.name, DatetimePicker)
Vue.component(Actionsheet.name, Actionsheet)
Vue.component(Radio.name, Radio)
Vue.component(Checklist.name, Checklist)
Vue.use(InfiniteScroll)
Vue.use(vueSignature)

Vue.prototype.$toast = Toast
Vue.prototype.$MessageBox = MessageBox
Vue.prototype.$Indicator = Indicator

Vue.config.productionTip = false
// Vue.http.options.emulateJSON = true

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
